Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.pretty
Class Printer

    java.lang.Object
      org.hibernate.pretty.Printer

    public final class Printer

extends Object

Renders entities to a nicely readable string.

Author:
  Gavin King

Constructor Summary
`Printer(SessionFactoryImplementor factory)`

Method Summary
`void` | `toString(Iterator iter, EntityMode entityMode)`
`String` | `toString(Map namedTypedValues)`
`String` | `toString(Object entity, EntityMode entityMode)`
`String` | `toString(Type[] types, Object[] values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Printer

    public Printer(SessionFactoryImplementor factory)

Method Detail

### toString

    public String toString(Object entity,
                           EntityMode entityMode)
                    throws HibernateException

  Parameters:
    `entity` - an actual entity object, not a proxy!
  Throws:
    `HibernateException`

### toString

    public String toString(Type[] types,
                           Object[] values)
                    throws HibernateException

  Throws:
    `HibernateException`

### toString

    public String toString(Map namedTypedValues)
                    throws HibernateException

  Throws:
    `HibernateException`

### toString

    public void toString(Iterator iter,
                         EntityMode entityMode)
                  throws HibernateException

  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.